> ## Documentation Index
> Fetch the complete documentation index at: https://docs.depict.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Revert Collection



## OpenAPI

````yaml /api-reference/openapi/lite.json post /collections/{collection_id}/revert
openapi: 3.1.0
info:
  title: Depict Lite API
  version: 1.0.0
  description: >-
    REST API behind Depict Lite, the native Shopify app: onboarding,
    collections, boost & bury, dashboards, A/B testing and multi-store
    management. Endpoints are served under the /api/lite prefix and require an
    Auth0-issued bearer token.
servers:
  - url: /api/lite
security: []
paths:
  /collections/{collection_id}/revert:
    post:
      summary: Revert Collection
      operationId: revert_collection_collections__collection_id__revert_post
      parameters:
        - name: collection_id
          in: path
          required: true
          schema:
            type: string
            title: Collection Id
        - name: merchant_id
          in: query
          required: true
          schema:
            type: string
            title: Merchant Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RevertCollectionRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - Auth0: []
components:
  schemas:
    RevertCollectionRequest:
      properties:
        sort_order:
          $ref: '#/components/schemas/CollectionSortOrder'
        pinned_main_product_ids:
          items:
            type: string
          type: array
          title: Pinned Main Product Ids
      type: object
      required:
        - sort_order
        - pinned_main_product_ids
      title: RevertCollectionRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CollectionSortOrder:
      type: string
      enum:
        - ALPHA_ASC
        - ALPHA_DESC
        - BEST_SELLING
        - CREATED
        - CREATED_DESC
        - MANUAL
        - PRICE_ASC
        - PRICE_DESC
      title: CollectionSortOrder
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    Auth0:
      type: oauth2
      flows:
        authorizationCode:
          scopes:
            openid: OpenID Connect
            profile: User profile
            email: User email
          authorizationUrl: https://depict.eu.auth0.com/oauth/authorize
          tokenUrl: https://depict.eu.auth0.com/oauth/token
      x-tokenName: id_token

````